# Drone Server

## Setup on Dokku

Create APP

    dokku apps:create cicd

Setup Network & Domains

    dokku network:create cicd_net
    dokku network:set cicd initial-network cicd_net
    dokku config:set --no-restart cicd DOKKU_LETSENCRYPT_EMAIL=glenux@glenux.net
    
Setup Storage

Setup Configuration

    dokku config:set cicd DRONE_DATABASE_DRIVER=sqlite3
    dokku config:set cicd DRONE_DATABASE_DATASOURCE=/data/database.sqlite
    dokku config:set cicd DRONE_GIT_ALWAYS_AUTH="false"
    dokku config:set cicd DRONE_RPC_SECRET=mFJCcUmWVictjhAug9rXc7bJxV4LsWrjR99jTvrwe9pR3ksK
    dokku config:set cicd DRONE_SERVER_PROTO=http
    dokku config:set cicd DRONE_TLS_AUTOCERT=false
    dokku config:set cicd DRONE_SERVER_HOST=localhost:3001

Deploy

    git remote add dokku dokku@dinlas.apps.glenux.net:cicd
    git push

